> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# Get an event by ID

GET https://api.sandbox.monite.com/v1/events/{event_id}

Get a webhook event by its ID. The data is the same as you might have previously received in a webhook sent by Monite to your server.

Reference: https://docs.monite.com/api/events/get-events-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.sandbox.monite.com/v1` (sandbox, default)
- `https://api.monite.com/v1` (eu_production)
- `https://us.api.monite.com/v1` (na_production)

## Request

### Path parameters

- `event_id` (string, required) — ID of the webhook event. This is the `id` value you might have received in a webhook or retrieved from `GET /events`.

### Headers

- `x-monite-version` (string, required)

## Response

### 200

Successful Response

- `id` (string, required)
- `action` (string, required)
- `description` (string, required)
- `entity_id` (string, required)
- `object_type` (enum, required)
  - Allowed values: `account`, `accounting_connection`, `approval`, `approval_request`, `approval_policy`, `approval_policy_process`, `batch_payment`, `comment`, `counterpart`, `counterpart_address`, `counterpart_bank_account`, `counterpart_contact_person`, `counterpart_partner_metadata`, `counterpart_tax_id`, `entity`, `entity_bank_account`, `entity_settings`, `entity_user`, `export`, `overdue_reminder`, `partner_settings`, `payable`, `payables_credit_note`, `payables_purchase_order`, `payable.line_item`, `payment`, `payment_intent`, `payment_link`, `payment_reminder`, `product`, `project`, `receivable`, `recurrence`, `role`, `tag`, `todo_task`, `workflow`, `workflow_pipeline`, `ocr_task`, `delivery_note`, `receipt`, `transaction`
- `created_at` (datetime, optional) — The timestamp that was generated at the time of making the database transaction that has initially caused the event
- `api_version` (string, optional)
- `object` (any, optional)

## Errors

### 422 Get Events ID Request Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

### 500 Get Events ID Request Internal Server Error

Internal Server Error

- `error` (ErrorSchema, required)

## Types

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### ErrorSchema

- `message` (string, required)

### ValidationErrorLocItem

## Examples

**Response**

```json
{
  "id": "id",
  "action": "action",
  "description": "description",
  "entity_id": "entity_id",
  "object_type": "account",
  "created_at": "2024-01-15T09:30:00Z",
  "api_version": "api_version",
  "object": {
    "key": "value"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.sandbox.monite.com/v1/events/event_id"

headers = {
    "x-monite-version": "2024-01-31",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sandbox.monite.com/v1/events/event_id';
const options = {
  method: 'GET',
  headers: {'x-monite-version': '2024-01-31', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sandbox.monite.com/v1/events/event_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-monite-version", "2024-01-31")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sandbox.monite.com/v1/events/event_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-monite-version"] = '2024-01-31'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sandbox.monite.com/v1/events/event_id")
  .header("x-monite-version", "2024-01-31")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sandbox.monite.com/v1/events/event_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'x-monite-version' => '2024-01-31',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sandbox.monite.com/v1/events/event_id");
var request = new RestRequest(Method.GET);
request.AddHeader("x-monite-version", "2024-01-31");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-monite-version": "2024-01-31",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/events/event_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```